<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.LimitRatePOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.LimitRatePO">
    <!--@mbg.generated-->
    <!--@Table limit_rate-->
    <id column="line_id" property="lineId" />
    <id column="phasic_type" property="phasicType" />
    <id column="time" property="time" />
    <result column="all_time" property="allTime" />
    <result column="flicker_overtime" property="flickerOverTime" />
    <result column="flicker_all_time" property="flickerAllTime" />
    <result column="freq_dev_overtime" property="freqDevOverTime" />
    <result column="voltage_dev_overtime" property="voltageDevOverTime" />
    <result column="ubalance_overtime" property="uBalanceOverTime" />
    <result column="uaberrance_overtime" property="uaberranceOverTime" />
    <result column="i_neg_overtime" property="iNegOverTime" />
    <result column="uharm_2_overtime" property="uHarm2OverTime" />
    <result column="uharm_3_overtime" property="uharm3OverTime" />
    <result column="uharm_4_overtime" property="uharm4OverTime" />
    <result column="uharm_5_overtime" property="uharm5OverTime" />
    <result column="uharm_6_overtime" property="uharm6OverTime" />
    <result column="uharm_7_overtime" property="uharm7OverTime" />
    <result column="uharm_8_overtime" property="uharm8OverTime" />
    <result column="uharm_9_overtime" property="uharm9OverTime" />
    <result column="uharm_10_overtime" property="uharm10OverTime" />
    <result column="uharm_11_overtime" property="uharm11OverTime" />
    <result column="uharm_12_overtime" property="uharm12OverTime" />
    <result column="uharm_13_overtime" property="uharm13OverTime" />
    <result column="uharm_14_overtime" property="uharm14OverTime" />
    <result column="uharm_15_overtime" property="uharm15OverTime" />
    <result column="uharm_16_overtime" property="uharm16OverTime" />
    <result column="uharm_17_overtime" property="uharm17OverTime" />
    <result column="uharm_18_overtime" property="uharm18OverTime" />
    <result column="uharm_19_overtime" property="uharm19OverTime" />
    <result column="uharm_20_overtime" property="uharm20OverTime" />
    <result column="uharm_21_overtime" property="uharm21OverTime" />
    <result column="uharm_22_overtime" property="uharm22OverTime" />
    <result column="uharm_23_overtime" property="uharm23OverTime" />
    <result column="uharm_24_overtime" property="uharm24OverTime" />
    <result column="uharm_25_overtime" property="uharm25OverTime" />
    <result column="iharm_2_overtime" property="iharm2OverTime" />
    <result column="iharm_3_overtime" property="iharm3OverTime" />
    <result column="iharm_4_overtime" property="iharm4OverTime" />
    <result column="iharm_5_overtime" property="iharm5OverTime" />
    <result column="iharm_6_overtime" property="iharm6OverTime" />
    <result column="iharm_7_overtime" property="iharm7OverTime" />
    <result column="iharm_8_overtime" property="iharm8OverTime" />
    <result column="iharm_9_overtime" property="iharm9OverTime" />
    <result column="iharm_10_overtime" property="iharm10OverTime" />
    <result column="iharm_11_overtime" property="iharm11OverTime" />
    <result column="iharm_12_overtime" property="iharm12OverTime" />
    <result column="iharm_13_overtime" property="iharm13OverTime" />
    <result column="iharm_14_overtime" property="iharm14OverTime" />
    <result column="iharm_15_overtime" property="iharm15OverTime" />
    <result column="iharm_16_overtime" property="iharm16OverTime" />
    <result column="iharm_17_overtime" property="iharm17OverTime" />
    <result column="iharm_18_overtime" property="iharm18OverTime" />
    <result column="iharm_19_overtime" property="iharm19OverTime" />
    <result column="iharm_20_overtime" property="iharm20OverTime" />
    <result column="iharm_21_overtime" property="iharm21OverTime" />
    <result column="iharm_22_overtime" property="iharm22OverTime" />
    <result column="iharm_23_overtime" property="iharm23OverTime" />
    <result column="iharm_24_overtime" property="iharm24OverTime" />
    <result column="iharm_25_overtime" property="iharm25OverTime" />
    <result column="inuharm_1_overtime" property="inuharm1OverTime" />
    <result column="inuharm_2_overtime" property="inuharm2OverTime" />
    <result column="inuharm_3_overtime" property="inuharm3OverTime" />
    <result column="inuharm_4_overtime" property="inuharm4OverTime" />
    <result column="inuharm_5_overtime" property="inuharm5OverTime" />
    <result column="inuharm_6_overtime" property="inuharm6OverTime" />
    <result column="inuharm_7_overtime" property="inuharm7OverTime" />
    <result column="inuharm_8_overtime" property="inuharm8OverTime" />
    <result column="inuharm_9_overtime" property="inuharm9OverTime" />
    <result column="inuharm_10_overtime" property="inuharm10OverTime" />
    <result column="inuharm_11_overtime" property="inuharm11OverTime" />
    <result column="inuharm_12_overtime" property="inuharm12OverTime" />
    <result column="inuharm_13_overtime" property="inuharm13OverTime" />
    <result column="inuharm_14_overtime" property="inuharm14OverTime" />
    <result column="inuharm_15_overtime" property="inuharm15OverTime" />
    <result column="inuharm_16_overtime" property="inuharm16OverTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    line_id, phasic_type, `time`, all_time, flicker_overtime, flicker_all_time, freq_dev_overtime, 
    voltage_dev_overtime, ubalance_overtime, uaberrance_overtime, i_neg_overtime, uharm_2_overtime, 
    uharm_3_overtime, uharm_4_overtime, uharm_5_overtime, uharm_6_overtime, uharm_7_overtime, 
    uharm_8_overtime, uharm_9_overtime, uharm_10_overtime, uharm_11_overtime, uharm_12_overtime, 
    uharm_13_overtime, uharm_14_overtime, uharm_15_overtime, uharm_16_overtime, uharm_17_overtime, 
    uharm_18_overtime, uharm_19_overtime, uharm_20_overtime, uharm_21_overtime, uharm_22_overtime, 
    uharm_23_overtime, uharm_24_overtime, uharm_25_overtime, iharm_2_overtime, iharm_3_overtime, 
    iharm_4_overtime, iharm_5_overtime, iharm_6_overtime, iharm_7_overtime, iharm_8_overtime, 
    iharm_9_overtime, iharm_10_overtime, iharm_11_overtime, iharm_12_overtime, iharm_13_overtime, 
    iharm_14_overtime, iharm_15_overtime, iharm_16_overtime, iharm_17_overtime, iharm_18_overtime, 
    iharm_19_overtime, iharm_20_overtime, iharm_21_overtime, iharm_22_overtime, iharm_23_overtime, 
    iharm_24_overtime, iharm_25_overtime, inuharm_1_overtime, inuharm_2_overtime, inuharm_3_overtime, 
    inuharm_4_overtime, inuharm_5_overtime, inuharm_6_overtime, inuharm_7_overtime, inuharm_8_overtime, 
    inuharm_9_overtime, inuharm_10_overtime, inuharm_11_overtime, inuharm_12_overtime, 
    inuharm_13_overtime, inuharm_14_overtime, inuharm_15_overtime, inuharm_16_overtime
  </sql>
  <update id="updateBatch" parameterType="java.util.List">
    <!--@mbg.generated-->
    update limit_rate
    <trim prefix="set" suffixOverrides=",">
      <trim prefix="all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.allTime}
        </foreach>
      </trim>
      <trim prefix="flicker_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.flickerOverTime}
        </foreach>
      </trim>
      <trim prefix="flicker_all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.flickerAllTime}
        </foreach>
      </trim>
      <trim prefix="freq_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.freqDevOverTime}
        </foreach>
      </trim>
      <trim prefix="voltage_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.voltageDevOverTime}
        </foreach>
      </trim>
      <trim prefix="ubalance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.ubalanceOverTime}
        </foreach>
      </trim>
      <trim prefix="uaberrance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uAberranceOverTime}
        </foreach>
      </trim>
      <trim prefix="i_neg_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iNegOverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm2OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm3OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm4OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm5OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm6OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm7OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm8OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm9OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm10OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm11OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm12OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm13OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm14OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm15OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm16OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm17OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm18OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm19OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm20OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm21OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm22OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm23OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm24OverTime}
        </foreach>
      </trim>
      <trim prefix="uharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm25OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm2OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm3OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm4OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm5OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm6OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm7OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm8OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm9OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm10OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm11OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm12OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm13OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm14OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm15OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm16OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm17OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm18OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm19OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm20OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm21OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm22OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm23OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm24OverTime}
        </foreach>
      </trim>
      <trim prefix="iharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm25OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_1_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm1OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm2OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm3OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm4OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm5OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm6OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm7OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm8OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm9OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm10OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm11OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm12OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm13OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm14OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm15OverTime}
        </foreach>
      </trim>
      <trim prefix="inuharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm16OverTime}
        </foreach>
      </trim>
    </trim>
    where line_id in
    <foreach close=")" collection="list" item="item" open="(" separator=", ">
      #{item.lineId}
    </foreach>
  </update>
  <insert id="batchInsert" parameterType="map">
    <!--@mbg.generated-->
    insert into limit_rate
    (line_id, phasic_type, `time`, all_time, flicker_overtime, flicker_all_time, freq_dev_overtime, 
      voltage_dev_overtime, ubalance_overtime, uaberrance_overtime, i_neg_overtime, uharm_2_overtime, 
      uharm_3_overtime, uharm_4_overtime, uharm_5_overtime, uharm_6_overtime, uharm_7_overtime, 
      uharm_8_overtime, uharm_9_overtime, uharm_10_overtime, uharm_11_overtime, uharm_12_overtime, 
      uharm_13_overtime, uharm_14_overtime, uharm_15_overtime, uharm_16_overtime, uharm_17_overtime, 
      uharm_18_overtime, uharm_19_overtime, uharm_20_overtime, uharm_21_overtime, uharm_22_overtime, 
      uharm_23_overtime, uharm_24_overtime, uharm_25_overtime, iharm_2_overtime, iharm_3_overtime, 
      iharm_4_overtime, iharm_5_overtime, iharm_6_overtime, iharm_7_overtime, iharm_8_overtime, 
      iharm_9_overtime, iharm_10_overtime, iharm_11_overtime, iharm_12_overtime, iharm_13_overtime, 
      iharm_14_overtime, iharm_15_overtime, iharm_16_overtime, iharm_17_overtime, iharm_18_overtime, 
      iharm_19_overtime, iharm_20_overtime, iharm_21_overtime, iharm_22_overtime, iharm_23_overtime, 
      iharm_24_overtime, iharm_25_overtime, inuharm_1_overtime, inuharm_2_overtime, inuharm_3_overtime, 
      inuharm_4_overtime, inuharm_5_overtime, inuharm_6_overtime, inuharm_7_overtime, 
      inuharm_8_overtime, inuharm_9_overtime, inuharm_10_overtime, inuharm_11_overtime, 
      inuharm_12_overtime, inuharm_13_overtime, inuharm_14_overtime, inuharm_15_overtime, 
      inuharm_16_overtime)
    values
    <foreach collection="list" item="item" separator=",">
      (#{item.lineId}, #{item.phasicType}, #{item.time}, #{item.allTime}, #{item.flickerOverTime}, 
        #{item.flickerAllTime}, #{item.freqDevOverTime}, #{item.voltageDevOverTime}, #{item.ubalanceOverTime}, 
        #{item.uaberranceOverTime}, #{item.iNegOverTime}, #{item.uharm2OverTime}, #{item.uharm3OverTime}, 
        #{item.uharm4OverTime}, #{item.uharm5OverTime}, #{item.uharm6OverTime}, #{item.uharm7OverTime}, 
        #{item.uharm8OverTime}, #{item.uharm9OverTime}, #{item.uharm10OverTime}, #{item.uharm11OverTime}, 
        #{item.uharm12OverTime}, #{item.uharm13OverTime}, #{item.uharm14OverTime}, #{item.uharm15OverTime}, 
        #{item.uharm16OverTime}, #{item.uharm17OverTime}, #{item.uharm18OverTime}, #{item.uharm19OverTime}, 
        #{item.uharm20OverTime}, #{item.uharm21OverTime}, #{item.uharm22OverTime}, #{item.uharm23OverTime}, 
        #{item.uharm24OverTime}, #{item.uharm25OverTime}, #{item.iharm2OverTime}, #{item.iharm3OverTime}, 
        #{item.iharm4OverTime}, #{item.iharm5OverTime}, #{item.iharm6OverTime}, #{item.iharm7OverTime}, 
        #{item.iharm8OverTime}, #{item.iharm9OverTime}, #{item.iharm10OverTime}, #{item.iharm11OverTime}, 
        #{item.iharm12OverTime}, #{item.iharm13OverTime}, #{item.iharm14OverTime}, #{item.iharm15OverTime}, 
        #{item.iharm16OverTime}, #{item.iharm17OverTime}, #{item.iharm18OverTime}, #{item.iharm19OverTime}, 
        #{item.iharm20OverTime}, #{item.iharm21OverTime}, #{item.iharm22OverTime}, #{item.iharm23OverTime}, 
        #{item.iharm24OverTime}, #{item.iharm25OverTime}, #{item.inuharm1OverTime}, #{item.inuharm2OverTime}, 
        #{item.inuharm3OverTime}, #{item.inuharm4OverTime}, #{item.inuharm5OverTime}, #{item.inuharm6OverTime}, 
        #{item.inuharm7OverTime}, #{item.inuharm8OverTime}, #{item.inuharm9OverTime}, #{item.inuharm10OverTime}, 
        #{item.inuharm11OverTime}, #{item.inuharm12OverTime}, #{item.inuharm13OverTime}, 
        #{item.inuharm14OverTime}, #{item.inuharm15OverTime}, #{item.inuharm16OverTime}
        )
    </foreach>
  </insert>
</mapper>